Get details of a multipart upload

/upload/multipart/{upload_id}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This call will return the details of an active multipart upload.

The upload is referenced by its ID as returned by a call to initialize a multipart upload or list current multipart uploads.

https://cgc-api.sbgenomics.com/v2/upload/multipart/{upload_id}

Request

Example request

GET /v2/upload/multipart/ezCeGmsWvyLwLjDdw3WNXXfs0EK4GpcHXijP37fP7o1jbdh24IAFEF7New5wYyli HTTP/1.1
Host: cgc-api.sbgenomics.com
X-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74
curl -s -H "X-SBG-Auth-Token: 3210a98c1db9318fa9d9273156740f74" -H "content-type: application/json" -X GET "https://cgc-api.sbgenomics.com/v2/upload/multipart"

Header Fields

NameDescription
X-SBG-Auth-Token
required
Your CGC authentication token.
Content-Type
required
application/json

Path parameters

NameDescription
upload_idThe ID of the upload. It can be obtained by initializing a new upload or by listing the ongoing multipart uploads.

Query parameters

NameDatatypeDescription
list_partsBoolean: true or falseIf true, also return a list of parts that have been reported as completed for this multipart upload.

Response

See a list of CGC-specific response codes that may be contained in the body of the response.

Example response body

{
  "upload_id": "ezCeGmsWvyLwLjDdw3WNXXfs0EK4GpcHXijP37fP7o1jbdh24IAFEF7New5wYyli",
  "project": "RFranklin/my-project",
  "name": "1000G_omni2.5.b37.vcf",
  "initiated": "2016-01-01T00:00:00Z",
  "parallel_uploads": true,
  "part_size": 1073741824,
  "uploaded_parts_count": 1,
  "parts": [
    {
      "part_number": 1,
      "response": {
        "headers": {
          "ETag": "43a5e127340f2b6602badfdebe610f30"
        }
      }
    }
  ]
}
Language
LoadingLoading…